Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.io
Class SerialPDBServer

    java.lang.Object
      |
      +--superwaba.ext.xplat.io.SerialPDBServer

public class SerialPDBServer
extends Object

Proxy for Serial PDB. You may extend this class to provide any other functionalities you may want. See examples/io/PDBConduit.

Field Summary
`static byte` | `DELETE`
`static byte` | `GET_CATALOG`
`static byte` | `GET_TXT`
`static byte` | `PUT_CATALOG`
`static byte` | `PUT_TXT`
`static byte` | `SHUTDOWN`

Constructor Summary
`SerialPDBServer(int port, int baud)` Construct a serial server to listen at `port` using `baud` rate

Method Summary
`void` | `delete()`
`void` | `getCatalog()`
`void` | `getTxt()`
`void` | `listen()`
`static void` | `main(String[] args)`
`void` | `putCatalog()`
`void` | `putTxt()`
`static void` | `readFile(Vector v, java.io.InputStream is)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### PUT_CATALOG

    public static final byte PUT_CATALOG

### GET_CATALOG

    public static final byte GET_CATALOG

### PUT_TXT

    public static final byte PUT_TXT

### GET_TXT

    public static final byte GET_TXT

### DELETE

    public static final byte DELETE

### SHUTDOWN

    public static final byte SHUTDOWN

Constructor Detail

### SerialPDBServer

    public SerialPDBServer(int port,
                           int baud)

  Construct a serial server to listen at `port` using `baud` rate

Method Detail

### putCatalog

    public void putCatalog()

### getCatalog

    public void getCatalog()

### putTxt

    public void putTxt()

### getTxt

    public void getTxt()

### delete

    public void delete()

### readFile

    public static void readFile(Vector v,
                                java.io.InputStream is)
                         throws Exception

### listen

    public void listen()

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD